zoukankan      html  css  js  c++  java
  • 【32.89%】【codeforces 719A】Vitya in the Countryside

    time limit per test
    1 second
    memory limit per test
    256 megabytes
    input
    standard input
    output
    standard output

    Every summer Vitya comes to visit his grandmother in the countryside. This summer, he got a huge wart. Every grandma knows that one should treat warts when the moon goes down. Thus, Vitya has to catch the moment when the moon is down.

    Moon cycle lasts 30 days. The size of the visible part of the moon (in Vitya's units) for each day is 0123456789101112,1314151413121110987654321, and then cycle repeats, thus after the second 1 again goes 0.

    As there is no internet in the countryside, Vitya has been watching the moon for n consecutive days and for each of these days he wrote down the size of the visible part of the moon. Help him find out whether the moon will be up or down next day, or this cannot be determined by the data he has.

    Input

    The first line of the input contains a single integer n (1 ≤ n ≤ 92) — the number of consecutive days Vitya was watching the size of the visible part of the moon.

    The second line contains n integers ai (0 ≤ ai ≤ 15) — Vitya's records.

    It's guaranteed that the input data is consistent.

    Output

    If Vitya can be sure that the size of visible part of the moon on day n + 1 will be less than the size of the visible part on day n, then print "DOWN" at the only line of the output. If he might be sure that the size of the visible part will increase, then print "UP". If it's impossible to determine what exactly will happen with the moon, print -1.

    Examples
    input
    5
    3 4 5 6 7
    
    output
    UP
    
    input
    7
    12 13 14 15 14 13 12
    
    output
    DOWN
    
    input
    1
    8
    
    output
    -1
    
    Note

    In the first sample, the size of the moon on the next day will be equal to 8, thus the answer is "UP".

    In the second sample, the size of the moon on the next day will be 11, thus the answer is "DOWN".

    In the third sample, there is no way to determine whether the size of the moon on the next day will be 7 or 9, thus the answer is -1.


    【题解】

    注意到只有1 和 15是只有一个的。

    所以如果n=1,则只有单独为1或15才能确定它下一个是什么。否则都无法确定。

    然后就是比较最后一个和倒数第二个。如果是递增的。除了最后一个数是15之外。都是单调递增。如果是递减的,除了最后一个数是0之外。都是单调递减的。

    【代码】

    #include <cstdio>
    #include <cstdlib>
    
    const int MAXN = 1000;
    
    int n, a[MAXN];
    
    void input_data()
    {
    	scanf("%d", &n);
    	for (int i = 1; i <= n; i++)
    		scanf("%d", &a[i]);
    }
    
    void special_judge()
    {
    	if (n == 1)
    	{
    		if (a[1] != 0 && a[1] != 15)
    			printf("-1
    ");
    		else
    			if (a[1] == 0)
    				printf("UP
    ");
    			else
    				printf("DOWN
    ");
    		exit(0);
    	}
    }
    
    void output_ans()
    {
    	if (a[n] == 15)
    		printf("DOWN
    ");
    	else
    		if (a[n] == 0)
    			printf("UP
    ");
    		else
    			if (a[n] > a[n - 1])
    				printf("UP
    ");
    			else
    				printf("DOWN
    ");
    }
    
    int main()
    {
    	//	freopen("F:\rush.txt", "r", stdin);
    	input_data();
    	special_judge();
    	output_ans();
    	return 0;
    }


  • 相关阅读:
    COS和CDN的关系
    【转】WebGL 着色器和GLSL
    【转】前端最新性能指标
    【转】理解音视频 PTS 和 DTS
    HLS
    【转】带有function的JSON对象的序列化与还原
    环信Demo 导入错误
    安卓中 使用html来使文字变色Html.fromHtml
    第三方下载控件 用起来还是不错的偶!Aria
    网络文件下载
  • 原文地址:https://www.cnblogs.com/AWCXV/p/7632223.html
Copyright © 2011-2022 走看看